For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
  • Getting Started
    • Introduction
  • Propexo API Concepts
    • Authentication
    • Custom Data Objects
    • Data Fetching Methodology
    • Deleted Records
    • Enabling Properties
    • Filtering Results
    • Integration Cloning
    • Pagination
    • Rate Limiting
    • Records Processed
    • Sorting Results
    • Sync Frequency
    • Sync Schedules
    • Write Requests
  • Webhooks
    • Webhooks Overview
    • Setting Up Webhooks in Propexo
    • Sending a Test Webhook
    • Sequencing and Data Hydration
    • Signed Payloads
Dashboard
LogoLogo
On this page
  • Overview
  • Example
Propexo API Concepts

Filtering Results

Was this page helpful?
Previous

Integration Cloning

Next
Built with

Overview

Use query parameters to filter results on requests that return arrays of objects. Query parameters are optional.

Example

One example of filtering is finding all residents associated with a lease (by the Propexo lease ID). This can be done by filtering on the lease_id property.

Example filter
1// GET /v1/residents?lease_id=123456

Note: When filtering using external IDs (e.g. x_*), you will be required to supply the Propexo integration ID (integration_id) and the external property ID (x_property_id) as part of your query string. This is to ensure that you are only getting records associated with your intended result set — in an effort to account for property management systems using auto-incrementing integers as their IDs.